\documentclass[border=15pt, multi, tikz]{standalone}
%\usepackage{blocks}
\usepackage{import}
\subimport{../../layers/}{init}
\usetikzlibrary{positioning}
\usetikzlibrary{3d} %for including external image 

\def\ConvColor{rgb:yellow,5;red,2.5;white,5}
\def\ConvReluColor{rgb:yellow,5;red,5;white,5}
\def\PoolColor{rgb:red,1;black,0.3}
\def\FcColor{rgb:blue,5;red,2.5;white,5}
\def\FcReluColor{rgb:blue,5;red,5;white,4}
\def\SoftmaxColor{rgb:magenta,5;black,7}

\begin{document}
\begin{tikzpicture}
\tikzstyle{connection}=[ultra thick,every node/.style={sloped,allow upside down},draw=\edgecolor,opacity=0.7]
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% Draw Layer Blocks
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\node[canvas is zy plane at x=0] (temp) at (0,0,0) {\includegraphics[name=img1, width=8cm,height=8cm]{r_channel.png}};

\node[canvas is zy plane at x=0] (temp) at (2,-1,0) {\includegraphics[name=img2,width=8cm,height=8cm]{g_channel.png}};

\node[canvas is zy plane at x=0] (temp) at (4,-2,0) {\includegraphics[name=img3,width=8cm,height=8cm]{d_channel.png}};


% conv1_1,conv1_2, conv1_3 xlabel={{"R","G","D"}},
\pic[shift={(6,-3,0)}] at (com-east) {RightBandedBox={name=cr1,caption=Image RGD Channels,%
        ylabel=640,zlabel=480,fill=\ConvColor,bandfill=\ConvReluColor,%
        height=40,width={2,2,2},depth=40}};

\node[canvas is zy plane at x=0] (temp) at (cr1-east) {\includegraphics[name=com,width=8cm,height=8cm]{rgd_img.png}};

%%%%%%%%%%
% conv2_1,conv2_2,conv2_3
\pic[shift={(4,0,0)}] at (cr1-east) {RightBandedBox={name=cr2,%
        fill=\ConvColor,bandfill=\ConvReluColor,%
        height=30,width={4,4,4},depth=30}};


%pool2
\pic[shift={(0,0,0)}] at (cr2-east) {Box={name=p2,%
        fill=\PoolColor,opacity=0.5,height=20,width=1,depth=20}};

% conv2_4,conv2_5,conv2_6,conv2_6,conv2_6
\pic[shift={(0,0,0)}] at (p2-east) {RightBandedBox={name=cr3,caption=ResNet101,%
        ylabel=80, zlabel= 60,fill=\ConvColor,bandfill=\ConvReluColor,%
        height=20,width={6,6,6},depth=20}};
        
%pool2
\pic[shift={(0,0,0)}] at (cr3-east) {Box={name=p3,%
        fill=\PoolColor,opacity=0.5,height=15,width=1,depth=15}};

% conv2_4,conv2_5,conv2_6,conv2_6,conv2_6
\pic[shift={(0,0,0)}] at (p3-east) {RightBandedBox={name=cr4,%
        ylabel=15,zlabel=15,fill=\ConvColor,bandfill=\ConvReluColor,%
        height=15,width={8,8,8},depth=15}};
        


%%%%%%%%%%
% conv3_1,conv3_2,conv3_3,conv3_4,conv3_5,conv3_6,conv3_7,conv3_8
\pic[shift={(3,0,0)}] at (cr4-east) {RightBandedBox={name=cr5,caption= Added Convolutions ,%
        ,ylabel=9,zlabel=14, fill=\ConvColor,bandfill=\ConvReluColor,%
        height=10,width={8,8,8},depth=10}};
        
% fc6
\pic[shift={(3,0,0)}] at (cr5-east) {RightBandedBox={name=fc6,caption=fc6,%
        xlabel={{"1",""}},zlabel=2048,fill=\FcColor,bandfill=\FcReluColor,%
        height=3,width=3,depth=100}};
        
% fc7
\pic[shift={(3,0,0)}] at (fc6-east) {RightBandedBox={name=fc7,caption=fc7,%
        xlabel={{"1",""}},zlabel=1024,fill=\FcColor,bandfill=\FcReluColor,%
        height=3,width=3,depth=60}};
        
% fc8
\pic[shift={(3,0,0)}] at (fc7-east) {RightBandedBox={name=fc8,caption=fc8,%
        xlabel={{"1",""}},zlabel=512,fill=\FcColor,bandfill=\FcReluColor,%
        height=3,width=3,depth=35}};

% conv3_1,conv3_2,conv3_3,conv3_4,conv3_5,conv3_6,conv3_7,conv3_8
\pic[shift={(2,0,0)}] at (fc8-east) {RightBandedBox={name=cr6,caption= Tnesor Reshaped 8x8x8 ,%
        ,ylabel=8,zlabel=8, fill=\ConvColor,bandfill=\ConvReluColor,%
        height=6,width={2,2,2},depth=6}};
    
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% Draw Arrow Connections
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\draw [connection]  (cr1-east)        -- node {\midarrow} (cr2-west);
\draw [connection]  (p2-east)        -- node {\midarrow} (cr3-west);
\draw [connection]  (p3-east)        -- node {\midarrow} (cr4-west);
\draw [connection]  (cr4-east)        -- node {\midarrow} (cr5-west);
\draw [connection]  (cr5-east)        -- node {\midarrow} (fc6-west);
\draw [connection]  (fc6-east)        -- node {\midarrow} (fc7-west);
\draw [connection]  (fc7-east)        -- node {\midarrow} (fc8-west);
\draw [connection]  (fc8-east)        -- node {\midarrow} (cr6-west);
\draw [connection]  (img1-east)        -- node {\midarrow} (cr1-west);
\draw [connection]  (img2-east)        -- node {\midarrow} (cr1-west);


\draw[densely dashed]
    (fc6-west)++(0, 1.5*.2, 1.5*.2) coordinate(a) -- (cr5-nearnortheast)
    (fc6-west)++(0,-1.5*.2, 1.5*.2) coordinate(b) -- (cr5-nearsoutheast)
    (fc6-west)++(0,-1.5*.2,-1.5*.2) coordinate(c) -- (cr5-farsoutheast)
    (fc6-west)++(0, 1.5*.2,-1.5*.2) coordinate(d) -- (cr5-farnortheast)
    
    (a)--(b)--(c)--(d)
    ;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\end{tikzpicture}
\end{document}
